# std::ranges::drop_view<V>::end

From cppreference.com
< cpp‎ | ranges‎ | drop view

constexpr auto end() requires (!/*simple-view*/<V>); | (1) | (since C++20)
constexpr auto end() const requires ranges::range <const V>; | (2) | (since C++20)

Returns a sentinel or an iterator representing the end of the `drop_view`.

Effectively returns ranges::end (base_), where `base_` is the underlying view.

### Parameters

(none)

### Return value

A sentinel or an iterator representing the end of the view.

### Example

Run this code

    #include <algorithm>
    #include <iostream>
    #include <iterator>
    #include <ranges>

    int main()
    {
        namespace ranges = std::ranges;
        constexpr char url[]{"https://cppreference.com"};

        const auto p = std::distance(ranges::begin(url), ranges::find(url, '/'));
        auto site = ranges::drop_view{url, p + 2}; // drop the prefix "https://"

        for (auto it = site.begin(); it != site.end(); ++it)
            std::cout << *it;
        std::cout << '\n';
    }

Output:

    cppreference.com

### See also

begin | returns an iterator to the beginning (public member function)
ranges::begin (C++20) | returns an iterator to the beginning of a range (customization point object)
ranges::end (C++20) | returns a sentinel indicating the end of a range (customization point object)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/drop_view/end&oldid=173576"